   DIM i
   DIM iStr$

   PRINT "CODE   CHAR"
   PRINT "-----------"

   '----- LOOP , On each char
   FOR i = 0 TO 255
      iStr$ = MID$(STR$(i), 2)
      PRINT iStr$; "   ";

      '----- Print char  ( Ignoring problem chars )
      SELECT CASE i
         CASE 0:  PRINT "-";       '--- EOF   End Of File
         CASE 7:  PRINT "-";       '--- BEL   Bell
         CASE 9:  PRINT "-";       '--- HT    Tabulation
         CASE 10:  PRINT "-";      '--- LF    Line Feed
         CASE 11:  PRINT "-";      '--- VT    Vertical Tab
         CASE 12:  PRINT "-";      '--- FF    Form Feed
         CASE 13:  PRINT "-";      '--- CR    Carriage Return
         CASE 29 TO 31:  PRINT "-";
         CASE ELSE
            PRINT CHR$(i);
      END SELECT

      PRINT
   NEXT
